* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    line-height: 1.7em;
    background-color: #274755;
    color: #EEE;
    margin: 0 auto;
    padding: 0;
}

.tab-pane.fade {
    max-width: 800px;
    margin: 0 auto;
}

h1 {
    text-align: center;
    font-size: 2.5em;
    color: #F5A86B;
    margin-top: 30px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
    margin-bottom: 30px;
}

h2 {
    margin-top: 30px;
}

h3 {
    margin-top: 20px;
}

p {
    margin-top: 10px;
}

ul, ol {
    margin-top: 10px;
    margin-left: 20px;
}

.menu {
    background-color: #2BA297;
    padding: 10px 0;
    text-align: center;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.menu ul {
    list-style-type: none;
    margin: 20px auto;
    padding: 0;
}

.menu li {
    display: inline;
    margin: 0 10px;
}

.menu-link {
    display: inline-block;
    padding: 10px 20px;
    background-color: #E87659;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s ease, transform 0.3s ease;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.menu-link:hover {
    background-color: #F5A86B;
    transform: translateY(-2px);
}

.container {
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
    border-radius: 5px;
}

.tab-pane {
    display: none;
    padding: 20px;
}

.tab-pane.active {
    display: block;
}

#copy-button-container {
    margin-top: 20px;
}

.btn {
    background-color: #E87659;
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.btn:hover {
    background-color: #F5A86B;
}

.form-control {
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
    border: 1px solid #EAC873;
    border-radius: 5px;
}

#code-result, #decode-result {
    background-color: transparent;
    color: #EEE;
    padding: 0px;
    margin-top: 20px;
    border-radius: 5px;
}

#decode-result {
    background-color: limegreen;
}

/* Styles pour les petits écrans, si vous voulez mettre le site web en tant que webapp sur le telephone */
@media (max-width: 768px) {
    h1 {
        font-size: 2em;
    }

    .menu li {
        display: block;
        margin: 10px 0;
    }

    .container {
        padding: 10px;
    }

    .form-control {
        padding: 5px;
    }

    .btn {
        padding: 5px 10px;
    }
}

